package com.bonus.sgzb.base.mapper;

import com.bonus.sgzb.base.domain.BmProjectInfo;
import com.bonus.sgzb.base.domain.BmUnitInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BmUnitInfoMapper {
    public List<BmUnitInfo> getUnitInfoAll();

    public List<BmUnitInfo> getUnitInfo(BmUnitInfo bmUnitInfo);

    public int unitInfoAdd(BmUnitInfo bmUnitInfo);

    public void remove(Long[] unitIds);

    public int updateBmUnitInfo(BmUnitInfo bmUnitInfo);

    public int deleteUnitInfoById();
}
